SimpleOrFileNameCompletor (Grails 6.0.0)

Package: org.grails.cli.interactive.completers

## [Groovy] Class SimpleOrFileNameCompletor

- org.grails.cli.interactive.completers.SimpleOrFileNameCompletor

- All Implemented Interfaces and Traits:
    jline.console.completer.Completer

      class SimpleOrFileNameCompletor
      extends java.lang.Object
      implements jline.console.completer.Completer

  JLine Completor that mixes a fixed set of options with file path matches. Fixed options that match will appear first, followed by file path matches.

  Authors:
    Peter Ledbrook
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Object` | `fileNameCompletor` |
    `private java.lang.Object` | `simpleCompletor` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleOrFileNameCompletor (java.util.List fixedOptions)`
    `SimpleOrFileNameCompletor (java.lang.String[] fixedOptions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(java.lang.String buffer, int cursor, java.util.List candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.Object fileNameCompletor

    - #### private java.lang.Object simpleCompletor

  - ### Constructor Detail

    - #### SimpleOrFileNameCompletor(java.util.List fixedOptions)

    - #### SimpleOrFileNameCompletor(java.lang.String[] fixedOptions)

  - ### Method Detail

    - #### int complete(java.lang.String buffer, int cursor, java.util.List candidates)